
%global meadversion 1.0.0
%global namedversion 1.0.0.GA-redhat-3
%global meadalpha .GA_redhat_3
%global meadrel .1
%global serial 5
%global namedversionrel redhat-3

# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%bcond_without mead

%global mavengroup javax.validation
%global artifact0 validation-api
%global title %{summary}


Summary:        Bean Validation (JSR-303) API.
%define maven_version 1.0.0.GA-redhat-3

Name:           hibernate-beanvalidation-api
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
License:        APL
URL:            http://beanvalidation.org/
Group:          Development/Libraries/Java

%if %with mead
Source100: validation-api-1.0.0.GA-redhat-3-scm-sources.zip
Source102: validation-api-1.0.0.GA-redhat-3.pom
Source103: validation-api-1.0.0.GA-redhat-3-javadoc.jar
Source104: validation-api-1.0.0.GA-redhat-3-project-sources.tar.gz
Source105: validation-api-1.0.0.GA-redhat-3.jar
Source106: validation-api-1.0.0.GA-redhat-3-sources.jar
%endif

BuildRequires: jpackage-utils
BuildRequires: unzip

Requires: jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Bean Validation (JSR-303) API.

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}

%{__cp} -p %{_sourcedir}/%{artifact0}-%{namedversion}.jar %{buildroot}%{_javadir}/%{artifact0}-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/%{artifact0}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{artifact0}-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/%{artifact0}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{artifact0}.pom

# depmaps
%add_to_maven_depmap %{mavengroup} %{artifact0} %{namedversion} JPP %{artifact0}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_javadir}*/*.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/%{name}

%changelog
* Tue Dec 16 2014 Yong Yang <yyang@redhat.com> - 1.0.0-5.GA_redhat_3.1
- Rebuild for 6.4

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-4.7.GA_redhat_2.3
- Rebuild for MD5

* Fri Aug 17 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.0-3.7.GA_redhat_2.3
- Update poms for eap 6.0.1

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-2.7.GA_redhat_2.3
- Rebuild unsigned

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-2.7.GA_redhat_1.2
- Rebuild using cache signing

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-2.7.GA_redhat_1.1
- Rebuild using cache signing

* Mon Jun 11 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-2.7.GA_redhat_1
- Rebuild for RHEL-5

* Mon Mar 19 2012 Lin Gao <lgao@redhat.com> 0:1.0.0-1.7.GA_redhat_1
- Disable -sources subpackage
- Requires jpackage-utils in javadoc subpackage
- Use new wrapper
- Change jars install path
- Fix wrong symlink from main pacakge to javadoc subpackage
- Fix release tag

* Thu Feb 09 2012 Lin Gao <lgao@redhat.com> 0:1.0.0-0.GA.1.6
- Enable javadoc sub package
- Update pom to use new BOM
- switch to rhpkg build
- rebuild for new sign key

* Fri Oct 21 2011 Strong Liu <stliu@redhat.com> 0:1.0.0-0.GA.1.5
- Wrapper RPM.

* Fri Sep 09 2011 Strong Liu <stliu@redhat.com> 0:1.0.0-0.GA.1.4
- Change to use Mead.

* Fri Jun 10 2011 Strong Liu <stliu@redhat.com> 0:1.0.0-0.GA.1.3
- Upgrade to 1.0.GA

* Fri Jan 14 2011 David Walluck <dwalluck@redhat.com> 0:1.0-0.CR2.1.2
- update file list for brew
- add repolib

* Wed Dec 02 2009 David Walluck <dwalluck@redhat.com> 0:1.0-0.CR2.1.1
- 1.0.CR2 for richfaces-3.3.1.SP1
